#!/bin/sh
# dskusg.sh - Print disk usage on each file system for top level 
#             directories in descending order 

[ $UID -eq 0 ] || usage

for FS in $(grep  ^\/ /etc/mtab | cut -f2 -d" ")
do
    echo -e "$FS\n---------"
    du -x --max-depth=1 --exclude=/dev* $FS | sort -rg
    echo
done

function usage
{
	echo "You must be root to get an accurate report"
	exit 1
}

