#!/bin/sh
# fullback.sh - Backup the entire system except for
#               /proc, /dev, /tmp, /var/lock, /var/state, NFS mounts

BACKUPDEV=/dev/null
DATE=$(date +%Y%j)
FILES=/tmp/fullback.$DATE

find / ! -fstype nfs -fprint $FILES

tar -cvPW -T $FILES -f $BACKUPDEV \
    --exclude=/proc* \
    --exclude=/dev* \
    --exclude=/tmp* \
    --exclude=/var/lock* \
    --exclude=/var/state* 
