#!/bin/sh
# getopts.sh - Using Bash's getopts command to 
#              process command line arguments

while getopts "xy:z:" OPT; 
do
	case $OPT in
		x ) XOPT='You used -x' ;;
		y ) YOPT="You used -y with $OPTARG" ;;
		z ) ZOPT="You used -z with $OPTARG" ;;
		? ) echo 'USAGE: getopts.sh [-x] [-y arg] [-z arg]'
		    exit 1 ;;
	esac
done

echo ${XOPT:-'did not use -x'}
echo ${YOPT:-'did not use -y'}
echo ${ZOPT:-'did not use -z'}

exit 0
