#!/bin/sh
# incrback.sh - Backup files that have changed in the last 24 hours
#               except for files except for files in /proc, /dev, 
#               /tmp, /var/lock, /var/state, and NFS mounts

BACKUPDEV=/dev/null
DATE=$(date +%Y%j)
FILES=/tmp/incrback.$DATE

find / ! -fstype nfs -a -mtime -1 -fprint $FILES

tar -cvPW -T $FILES -f $BACKUPDEV \
    --exclude=/proc* \
    --exclude=/dev* \
    --exclude=/tmp* \
    --exclude=/var/lock* \
    --exclude=/var/state* 
